import * as Cesium from 'cesium'
/**
 * @descripion:
 * @param {Viewer} viewer
 * @param {Cartesian2} position
 * @param {String} title
 * @param {String} id
 * @return {*}
 */
export default class Bubble {
    constructor(val) {
      this.viewer = val.viewer;
      this.div = document.createElement("div");
    }
    addDynamicLabel(props,cartesian3,closedCallback) {
      let div = this.div;
    //   if(typeof data.id == 'string'){
    //     data = JSON.parse(data.id)
    //   }
    //   div.id = data.id;
      div.id = props.id;
      // div.style.display="inline"
      div.style.position = "absolute";
      div.style.width = "300px";
      div.style.height = "30px";
      let HTMLTable = `
          <div :id="id" class="box">
            <div class="pine"></div>
            <div class="box-wrap">
              <div class="close" id="popupClose">x</div>
              <div class="area">
                <div class="area-title fontColor">当前坐标</div>
              </div>
              <div class="content">
                <div class="data-li">
                  <div class="data-label textColor">x：</div>
                  <div class="data-value">
                    <span class="label-num yellowColor">${props["x"]}</span>
                  </div>
                </div>
                <div class="data-li">
                  <div class="data-label textColor">y：</div>
                  <div class="data-value">
                    <span class="label-num yellowColor">${props["y"]}</span>
                  </div>
                </div>
                <div class="data-li">
                  <div class="data-label textColor">坐标系：</div>
                  <div class="data-value">
                    <span class="label-num yellowColor">${props["epsg"]}</span>
                  </div>
                </div>
                <div class="data-li">
                  <div class="data-label textColor">经度：</div>
                  <div class="data-value">
                    <span class="label-num yellowColor">${props["lat"]}</span>
                  </div>
                </div>
                <div class="data-li">
                  <div class="data-label textColor">纬度：</div>
                  <div class="data-value">
                    <span class="label-num yellowColor">${props["lng"]}</span>
                  </div>
                </div>
                 <div class="data-li">
                  <div class="data-label textColor">高度：</div>
                  <div class="data-value">
                    <span class="label-num yellowColor">${props["height"]}</span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        `;
      div.innerHTML = HTMLTable;
      this.viewer.cesiumWidget.container.appendChild(div);
      document
        .getElementById("popupClose")
        .addEventListener("click", () => {
          this.clearDiv();
          closedCallback&&closedCallback()
        });
      // let gisPosition = data.position._value;
    //   let gisPosition = Cesium.Cartesian3.fromDegrees(parseFloat(data.x), parseFloat(data.y),0);

      this.viewer.scene.postRender.addEventListener(() => {
        const canvasHeight = this.viewer.scene.canvas.height;
        const windowPosition = new Cesium.Cartesian2();
        Cesium.SceneTransforms.worldToWindowCoordinates(
          this.viewer.scene,
          cartesian3,
          windowPosition
        );

        div.style.bottom = canvasHeight - windowPosition.y + 187.426 + "px";
        // div.style.bottom = canvasHeight - windowPosition.y  + 487.426+ "px";
        const elWidth = div.offsetWidth;
        div.style.left = windowPosition.x - elWidth / 2 + 150 + "px";
      }, this);
    }
    clearDiv(id) {
      if (this.div) {
        var parent = this.div.parentElement;
        if(parent){
          parent.removeChild(this.div);
          this.viewer.scene.postRender.removeEventListener(
            this.addDynamicLabel,
            this
          );
        }
      }
    }
  }