const geoserverUrl = "http://192.168.28.126:8080/geoserver"

const geoserverWMTSUrl = geoserverUrl+"/cxy/gwc/service/wmts"

const gridServiceName = "cxy:modelgrid4326"

const demoWmtsService = {
  id:"dom0.2m",
  url: geoserverWMTSUrl,
  layerName: "cxy:dom0.2m",
  epsgCode: "EPSG:4326",
  extent:[
    113.7574461874795,
    23.213844014596848,
    113.8554165916731,
    23.317278851278726
  ]
}
export const geoserverWFSUrl = geoserverUrl+"/wfs";
export const terrainUrl = 'http://192.168.28.126:9090/terrain/';
export const targetProj4Defined = "+proj=tmerc +lat_0=0 +lon_0=114 +k=1 +x_0=500000 +y_0=0 +ellps=GRS80 +units=m +no_defs +type=crs"
export const sourceEpsgCode = "EPSG:4326"
// export const tileUrlTemplate = `http://61.144.79.174:9095/data/3dtiles/%E5%A2%9E%E5%9F%8E%E5%8C%BA100%E5%B9%B3%E6%96%B9%E5%8D%83%E7%B1%B3%E6%A8%A1%E5%9E%8B/{Text}/tileset.json`
export const tileUrlTemplate = `http://192.168.28.126:9090/3dtiles/{Text}/tileset.json`
export const initConfig = {
  point:[113.804,23.263,20000.0]
}
export const queryUrl = geoserverUrl+`/ows?service=WFS&version=1.0.0&request=GetFeature&typeName=${gridServiceName}&outputFormat=application/json&maxFeatures=50`;
export const gridGeojsonUrl = geoserverUrl+`/cxy/ows?service=WFS&version=1.0.0&request=GetFeature&typeName=${gridServiceName}&maxFeatures=99999&outputFormat=application/json`

export const layerTreeData =  [
  {
    label: '基础图层',
    id:'baseLayer',
    children: [
      {
        label: '遥感影像',
        id:demoWmtsService.id,
        // type: "wtms",
        // layerConfig:{
        //   ...demoWmtsService
        // }
        type:'xyz',
        layerConfig:{
          url:"http://192.168.28.126:9090/data/test/{z}/{x}/{y}.png",
          show: true
        }
      },
      {
        label: '分幅网格',
        id:gridServiceName,
        type: "wfs",
        layerConfig:{
          url:gridGeojsonUrl,
          show: true
        }
      },
    ],
  },
  {
    label: '矢量数据',
    id:'vectorLayer',
    children: [
      {
        label: '兴趣点',
        id:'poi',
        type: "poi",
        layerConfig:{
          url: '/data/poi_reduce.geojson',
          show: false
        }
      },
    ],
  },
  {
    label: '倾斜模型',
    id:'3dtile',
    disabled: true,
    children: [
      {
        label: 'Level two 2-1'
      },
    ],
  },
]