// const host = "192.168.21.30";
// const host = "172.27.40.60";
const host = "192.168.28.126";
const geoserverUrl = "http://"+host+":8088/geoserver"

const geoserverWMTSUrl = geoserverUrl+"/cxy/gwc/service/wmts"

const gridServiceName = "cxy:modelgrid4326"

const demoWmtsService = {
  id:"dom0.2m",
  url: geoserverWMTSUrl,
  layerName: "cxy:dom0.2m",
  epsgCode: "EPSG:4326",
  extent:[
    113.7574461874795,
    23.213844014596848,
    113.8554165916731,
    23.317278851278726
  ]
}
export const geoserverWFSUrl = geoserverUrl+"/wfs";
export const terrainUrl = 'http://'+host+':9090/terrain/';
export const targetProj4Defined = "+proj=tmerc +lat_0=0 +lon_0=114 +k=1 +x_0=500000 +y_0=0 +ellps=GRS80 +units=m +no_defs +type=crs"
export const sourceEpsgCode = "EPSG:4326"
// export const tileUrlTemplate = `http://61.144.79.174:9095/data/3dtiles/%E5%A2%9E%E5%9F%8E%E5%8C%BA100%E5%B9%B3%E6%96%B9%E5%8D%83%E7%B1%B3%E6%A8%A1%E5%9E%8B/{Text}/tileset.json`
export const tileUrlTemplate = `http://${host}:9090/3dtiles/{Text}/tileset.json`
// export const tileUrlTemplate = `http://${host}:9292/3dtiles1.1/draco/{Text}/tileset.json`
export const initConfig = {
  point:[113.804,23.263,20000.0]
}
export const queryUrl = geoserverUrl+`/ows?service=WFS&version=1.0.0&request=GetFeature&typeName=${gridServiceName}&outputFormat=application/json&maxFeatures=50`;
export const gridGeojsonUrl = geoserverUrl+`/cxy/ows?service=WFS&version=1.0.0&request=GetFeature&typeName=${gridServiceName}&maxFeatures=99999&outputFormat=application/json`
export const cesiumKey = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiIyNjI2ZjVjMS0zZTFjLTQ3MDAtYTZlZC02YWFjOWQwNzBjNjIiLCJpZCI6ODM1NTQsImlhdCI6MTY0NTY1NzYzM30.IPqS_sM-s_vzNnK0EAiTy6kpYP5RBYkuMgbqJtKQkPw";

export const layerTreeData =  [
  {
    label: '基础图层',
    id:'baseLayer',
    disabled: true,
    children: [
      {
        label: '电子地图-高德',
        id:'amap-vector',
        type:'xyz',
        layerConfig:{
          url:"http://"+host+":9090/data/wmts/amap/{z}/{x}/{y}.png",
          show: true
        }
      },
      {
        label: '遥感影像',
        id:demoWmtsService.id,
        type:'xyz',
        layerConfig:{
          url:"http://"+host+":9090/data/wmts/grid/{z}/{x}/{y}.png",
          show: true
        }
      },
      {
        label: '分幅网格',
        id:gridServiceName,
        type: "wfs",
        layerConfig:{
          url:gridGeojsonUrl,
          show: true
        }
      },
    ],
  },
  {
    label: '矢量数据',
    id:'vectorLayer',
    disabled: true,
    children: [
      {
        label: '兴趣点',
        id:'poi',
        type: "poi",
        layerConfig:{
          url: '/datas/poi0317.geojson',
          show: false
        }
      },
    ],
  },
  {
    label: '规划设计模型',
    id:'slope', 
    disabled: true,
    children: [
      {
        label: '保利251亩地块',
        id:'baoli0309',
        type: "3dTilesLayer",
        layerConfig:{
          show: false
        }
      },
      {
        label: '荔湖旁120亩地块',
        id:'LiHu120',
        type: "3dTilesLayer",
        layerConfig:{
          show: false
        }
      },
    ]
  },
  {
    label: '倾斜模型',
    id:'3dtile',
    disabled: true,
    children: [
      // {
      //   label: '荔湖',
      //   id:'LiHu',
      //   type: "3dTilesLayer",
      //   layerConfig:{
      //     show: false
      //   }
      // },
    ],
  },
]