import * as Cesium from 'cesium'
// 自定义的 UrlTemplateImageryProvider 类，用于实现图像偏移
class OffsetUrlTemplateImageryProvider extends Cesium.UrlTemplateImageryProvider {
    constructor(options) {
        super(options);
        this.offsetX = options.offsetX || 0;
        this.offsetY = options.offsetY || 0;
    }

    requestImage(x, y, level) {
        const promise = super.requestImage(x, y, level);
        if (!promise) {
            return promise;
        }
        // 使用标准的 Promise 处理方式
        return promise.then((image) => {
            const canvas = document.createElement('canvas');
            canvas.width = image.width;
            canvas.height = image.height;
            const context = canvas.getContext('2d');
            context.drawImage(image, this.offsetX, this.offsetY);
            return canvas;
        }).catch((error) => {
            console.error('获取瓦片图像时出错:', error);
            return null;
        });
    }
}
export default OffsetUrlTemplateImageryProvider